
From: NeilBrown <neilb@cse.unsw.edu.au>

Later patches remove pg_authenticate and use the name for a different purpose;
so rename it to pg_authenticate_obsolete for now.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfs/callback.c          |    2 +-
 25-akpm/include/linux/sunrpc/svc.h |    2 +-
 25-akpm/net/sunrpc/svc.c           |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN fs/nfs/callback.c~nfsd--svcrpc-rename-pg_authenticate fs/nfs/callback.c
--- 25/fs/nfs/callback.c~nfsd--svcrpc-rename-pg_authenticate	2005-02-07 19:19:07.000000000 -0800
+++ 25-akpm/fs/nfs/callback.c	2005-02-07 19:19:07.000000000 -0800
@@ -321,5 +321,5 @@ static struct svc_program nfs4_callback_
 	.pg_name = "NFSv4 callback",			/* service name */
 	.pg_class = "nfs",				/* authentication class */
 	.pg_stats = &nfs4_callback_stats,
-	.pg_authenticate = nfs_callback_auth,
+	.pg_authenticate_obsolete = nfs_callback_auth,
 };
diff -puN include/linux/sunrpc/svc.h~nfsd--svcrpc-rename-pg_authenticate include/linux/sunrpc/svc.h
--- 25/include/linux/sunrpc/svc.h~nfsd--svcrpc-rename-pg_authenticate	2005-02-07 19:19:07.000000000 -0800
+++ 25-akpm/include/linux/sunrpc/svc.h	2005-02-07 19:19:07.000000000 -0800
@@ -252,7 +252,7 @@ struct svc_program {
 	char *			pg_class;	/* class name: services sharing authentication */
 	struct svc_stat *	pg_stats;	/* rpc statistics */
 	/* Override authentication. NULL means use default */
-	int			(*pg_authenticate)(struct svc_rqst *, u32 *);
+	int			(*pg_authenticate_obsolete)(struct svc_rqst *, u32 *);
 };
 
 /*
diff -puN net/sunrpc/svc.c~nfsd--svcrpc-rename-pg_authenticate net/sunrpc/svc.c
--- 25/net/sunrpc/svc.c~nfsd--svcrpc-rename-pg_authenticate	2005-02-07 19:19:07.000000000 -0800
+++ 25-akpm/net/sunrpc/svc.c	2005-02-07 19:19:07.000000000 -0800
@@ -311,8 +311,8 @@ svc_process(struct svc_serv *serv, struc
 	 * We do this before anything else in order to get a decent
 	 * auth verifier.
 	 */
-	if (progp->pg_authenticate != NULL)
-		auth_res = progp->pg_authenticate(rqstp, &auth_stat);
+	if (progp->pg_authenticate_obsolete != NULL)
+		auth_res = progp->pg_authenticate_obsolete(rqstp, &auth_stat);
 	else
 		auth_res = svc_authenticate(rqstp, &auth_stat);
 	switch (auth_res) {
_
